* intsall to vendor/bundle

This commit is contained in:
Seth Call 2014-02-02 14:03:31 -06:00
parent 821e8cc2b5
commit 513fb2b8d4
5 changed files with 7 additions and 8 deletions

View File

@ -25,7 +25,7 @@ cp ../ruby/jam_ruby-${GEM_VERSION}.gem vendor/cache/ || { echo "unable to copy j
#rm -rf vendor/bundle -- let jenkins config 'wipe workspace' decide this
rm Gemfile.lock # if we don't want versions to float, pin it in the Gemfile, not count on Gemfile.lock
bundle install --path vendor/bundle
bundle update
#bundle update
if [ "$?" = "0" ]; then
echo "success: updated dependencies"
@ -74,7 +74,7 @@ EOF
set -e
# cache all gems local, and tell bundle to use local gems only
bundle install --path vendor/bundle --local
#bundle install --path vendor/bundle --local
# prepare production acssets
rm -rf $DIR/public/assets
bundle exec rake assets:precompile RAILS_ENV=production

View File

@ -19,7 +19,7 @@ rm -rf $TARGET
mkdir -p $PG_BUILD_OUT
mkdir -p $PG_RUBY_PACKAGE_OUT
bundle update
bundle install --path vendor/bundle
echo "building migrations"
bundle exec pg_migrate build --source . --out $PG_BUILD_OUT --test --verbose

View File

@ -1,8 +1,7 @@
#!/bin/bash
echo "updating dependencies"
bundle install --path vendor/bundle --local
bundle update
bundle install --path vendor/bundle
echo "running rspec tests"
bundle exec rspec

View File

@ -31,7 +31,7 @@ cp ../websocket-gateway/jam_websockets-${GEM_VERSION}.gem vendor/cache/ || { ech
echo "updating dependencies"
bundle install --path vendor/bundle
bundle update
#bundle update
# clean assets, because they may be lingering from last build
bundle exec rake assets:clean

View File

@ -25,7 +25,7 @@ cp ../ruby/jam_ruby-${GEM_VERSION}.gem vendor/cache/ || { echo "unable to copy j
echo "updating dependencies"
bundle install --path vendor/bundle
bundle update
#bundle update
if [ -z $SKIP_TESTS ]; then
@ -59,7 +59,7 @@ if [ -n "$PACKAGE" ]; then
set -e
# cache all gems local, and tell bundle to use local gems only
bundle install --path vendor/bundle --local
#bundle install --path vendor/bundle --local
# create debian using fpm
bundle exec fpm -s dir -t deb -p target/deb/websocket-gateway_0.1.${BUILD_NUMBER}_${ARCH}.deb -n "websocket-gateway" -v "0.1.$BUILD_NUMBER" --prefix /var/lib/websocket-gateway --after-install $DIR/script/package/post-install.sh --before-install $DIR/script/package/pre-install.sh --before-remove $DIR/script/package/pre-uninstall.sh --after-remove $DIR/script/package/post-uninstall.sh Gemfile lib bin vendor .bundle config script BUILD_NUMBER